RedCrawler API
Users & Profiles V2

Profile Posts by Name V2

Fetch a user's submitted posts. Returns post title, score, comment count, subreddit, media, and more. Accepts username, u/username, or profile URL.

GET /api/v2/profile/q/posts

Fetch a user's submitted posts. Returns post title, score, comment count, subreddit, media, and more. Accepts username, u/username, or profile URL.

Query parameters

NameTypeRequiredDescription
usernamestringYesUsername, u/username, or profile URL
limitstringNoMax posts to return (default: 100, max: 1250)
sortstringNoSort: new, hot, top (default: new)
time_filterstringNoTime filter for top: hour, day, week, month, year, all

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/posts?username=Motor_Tip8865&limit=25&sort=new&time_filter=<time_filter>" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/profile/q/posts?username=Motor_Tip8865&limit=25&sort=new&time_filter=<time_filter>", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/posts?username=Motor_Tip8865&limit=25&sort=new&time_filter=<time_filter>"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "items": [
      {
        "node": {
          "id": "dDNfMXN5dDZ4aQ==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": null,
          "cells": [
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFzeXQ2eGk=",
              "createdAt": "2026-04-29T08:53:34.745000+0000",
              "authorName": "u/Motor_Tip8865",
              "color": {},
              "detailsString": "r/test",
              "detailsLink": "test",
              "iconPath": "",
              "iconShape": "ROUND",
              "isJoinButtonShown": true,
              "joinSubredditId": "t5_examples",
              "isOverflowButtonHidden": false,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            {
              "id": "VGl0bGVDZWxsLXQzXzFzeXQ2eGk=",
              "title": "text post",
              "isVisited": false
            },
            "\u2026 (3 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (3 more items)"
          ]
        }
      },
      {
        "node": {
          "id": "dDNfMXN5c2M3cA==",
          "groupId": "t3_1sys4r2",
          "payload": null,
          "adPayload": null,
          "groupRecommendationContext": null,
          "cells": [
            {
              "id": "TWV0YWRhdGFDZWxsLXQzXzFzeXNjN3A=",
              "createdAt": "2026-04-29T08:02:43.838000+0000",
              "authorName": "u/Motor_Tip8865",
              "color": {},
              "detailsString": "r/test",
              "detailsLink": "test",
              "iconPath": "",
              "iconShape": "ROUND",
              "isJoinButtonShown": true,
              "joinSubredditId": "t5_examples",
              "isOverflowButtonHidden": false,
              "mediaPath": null,
              "mediaDomain": null,
              "isRecommended": false,
              "statusIndicators": [],
              "isBrandAffiliate": false,
              "modUserNoteLabel": null
            },
            {
              "id": "VGl0bGVDZWxsLXQzXzFzeXNjN3A=",
              "title": "Poll post",
              "isVisited": false
            },
            "\u2026 (2 more items)"
          ],
          "crosspostCells": [
            {},
            {},
            "\u2026 (2 more items)"
          ]
        }
      }
    ],
    "count": 2
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:36.588456+00:00"
}

On this page